### Function

# GLibUnix get_passwd_entry

#### Declaration [src]

    passwd*
    g_unix_get_passwd_entry (
      const gchar* user_name,
      GError** error
    )

#### Description

No description available.

#### Parameters

`user_name`

  Type: `const gchar*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `passwd*`

No description available.

The data is owned by the called function.
The return value can be `NULL`.